Page MenuHomePhabricator

download.wiki[mp]edia.org are using an invalid certificate
Closed, ResolvedPublic

Description

https://download.wikipedia.org/ and https://download.wikimedia.org/ are using the certificate of dumps.wikimedia.org, which doesn't match download.wikipedia.org or download.wikimedia.org.

Event Timeline

Chmarkine raised the priority of this task from to Needs Triage.
Chmarkine updated the task description. (Show Details)
Chmarkine added a project: HTTPS.
Chmarkine added subscribers: Chmarkine, BBlack, faidon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2015, 1:41 PM
Chmarkine updated the task description. (Show Details)Jul 31 2015, 1:51 PM
Chmarkine added a project: acl*sre-team.
Chmarkine set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 31 2015, 1:51 PM

dumps and download both sound like they should be moved to misc-web, IMHO.

Dzahn added a subscriber: Dzahn.EditedAug 3 2015, 2:05 PM

It was never done because there were concerns by @ArielGlenn about putting large (huge, GBs) files behind varnish.

Dzahn added a comment.Aug 4 2015, 2:04 AM

so either misc-web or the cert for dumps should be renewed and get an additional SAN of download.wm

Dzahn assigned this task to ArielGlenn.Aug 4 2015, 2:05 AM

@ArielGlenn Wanna talk to Brandon about the concerns re: huge file sizes and varnish? Or rather to Robh about getting a new cert?

How about mapping download.Wikipedia.org to the text cluster, and then have it redirect to https://dumps.wikimedia.org?

That seems like a reasonable approach to me.

Chmarkine renamed this task from download.wikipedia.org is using an invalid certificate to download.wiki[mp]edia.org are using an invalid certificate.Aug 25 2015, 3:21 AM
Chmarkine updated the task description. (Show Details)

Change 233659 had a related patch set uploaded (by Chad):
Point download.wiki(m|p)edia.org at text-lb

https://gerrit.wikimedia.org/r/233659

Change 233658 merged by Giuseppe Lavagetto:
Rewrite download.wiki(p|m)edia.org urls to dumps.wikimedia.org

https://gerrit.wikimedia.org/r/233658

Change 233659 merged by Yuvipanda:
Point download.wiki(m|p)edia.org at text-lb

https://gerrit.wikimedia.org/r/233659

Chmarkine closed this task as Resolved.Aug 26 2015, 12:12 AM

Confirmed that this issue was fixed.

Change 333272 had a related patch set uploaded (by Dzahn):
dumps: remove nginx for download.wikimedia.org

https://gerrit.wikimedia.org/r/333272

Restricted Application added a project: Traffic. · View Herald TranscriptJan 20 2017, 4:36 PM

Change 333272 merged by Dzahn:
dumps: remove nginx for download.wikimedia.org

https://gerrit.wikimedia.org/r/333272